clang 8.0.0

Public Member Functions | Static Public Member Functions | List of all members
clang::CodeGen::CodeGenFunction::ParamValue Class Reference

`#include "/work/www-prereleases/8.0.0/rc2/builddocs/llvm.src/tools/clang/lib/CodeGen/CodeGenFunction.h"`

## Public Member Functions
bool | isIndirect () const
llvm::Value * | getAnyValue () const
llvm::Value * | getDirectValue () const
Address | getIndirectAddress () const

## Static Public Member Functions
static ParamValue | forDirect (llvm::Value *value)
static ParamValue | forIndirect (Address addr)

## Detailed Description

Definition at line 2758 of file CodeGenFunction.h.

## Member Function Documentation

## ◆ forDirect()

static ParamValue clang::CodeGen::CodeGenFunction::ParamValue::forDirect | ( | llvm::Value * | value | ) |
| inline static

Definition at line 2763 of file CodeGenFunction.h.

## ◆ forIndirect()

static ParamValue clang::CodeGen::CodeGenFunction::ParamValue::forIndirect | ( | Address | addr | ) |
| inline static

Definition at line 2766 of file CodeGenFunction.h.

References clang::CodeGen::Address::getAlignment(), clang::CodeGen::Address::getPointer(), clang::CharUnits::getQuantity(), and clang::CharUnits::isZero().

## ◆ getAnyValue()

llvm::Value* clang::CodeGen::CodeGenFunction::ParamValue::getAnyValue | ( |  | ) | const
| inline

Definition at line 2772 of file CodeGenFunction.h.

Referenced by clang::CodeGen::CodeGenFunction::EmitParmDecl().

## ◆ getDirectValue()

llvm::Value* clang::CodeGen::CodeGenFunction::ParamValue::getDirectValue | ( |  | ) | const
| inline

Definition at line 2774 of file CodeGenFunction.h.

Referenced by clang::CodeGen::CodeGenFunction::EmitParmDecl().

## ◆ getIndirectAddress()

Address clang::CodeGen::CodeGenFunction::ParamValue::getIndirectAddress | ( |  | ) | const
| inline

Definition at line 2779 of file CodeGenFunction.h.

Referenced by clang::CodeGen::CodeGenFunction::EmitParmDecl().

## ◆ isIndirect()

bool clang::CodeGen::CodeGenFunction::ParamValue::isIndirect | ( |  | ) | const
| inline

Definition at line 2771 of file CodeGenFunction.h.

Referenced by clang::CodeGen::CodeGenFunction::EmitParmDecl().

The documentation for this class was generated from the following file:

- lib/CodeGen/CodeGenFunction.h